Bump jetty to 9.4.46.v20220331 to get rid of CVE-2021-34429
authorNicolò Boschi <boschi1997@gmail.com>
Mon, 25 Apr 2022 22:25:35 +0000 (00:25 +0200)
committerGitHub <noreply@github.com>
Mon, 25 Apr 2022 22:25:35 +0000 (15:25 -0700)
commit49bb6369fced44e60bd86dbadec53eec4d173e74
tree12378359dec3b5eb46fe976a4d0e1aeef370ee58
parent0a2f796c0f27735c82c8d22b82fa0c88ddb1a674
Bump jetty to 9.4.46.v20220331 to get rid of CVE-2021-34429

### Motivation

Current jetty version is vulnerable to https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-34429

### Changes

* Upgrade to the latest 9.x one 9.4.46.v20220331

Reviewers: Andrey Yegorov <None>, ZhangJian He <shoothzj@gmail.com>, Tian Luo <futurer@outlook.com>, Yong Zhang <zhangyong1025.zy@gmail.com>

This closes #3232 from nicoloboschi/bump-jetty-9.4.46.v20220331
bookkeeper-dist/src/main/resources/LICENSE-all.bin.txt
bookkeeper-dist/src/main/resources/LICENSE-server.bin.txt
bookkeeper-dist/src/main/resources/NOTICE-all.bin.txt
bookkeeper-dist/src/main/resources/NOTICE-server.bin.txt
dependencies.gradle
pom.xml